Package: org.codehaus.groovy.util

## [Java] Class AbstractConcurrentMapBase

- org.codehaus.groovy.util.AbstractConcurrentMapBase

-     @Deprecated
      public abstract class AbstractConcurrentMapBase
      extends Object

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `interface` | `AbstractConcurrentMapBase.Entry` |
    `static class` | `AbstractConcurrentMapBase.Segment` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static int` | `MAXIMUM_CAPACITY` |
    `protected AbstractConcurrentMapBase.Segment[]` | `segments` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractConcurrentMapBase(Object segmentInfo)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected abstract AbstractConcurrentMapBase.Segment` | `createSegment(Object segmentInfo, int cap)`
    `` | `public int` | `fullSize()`
    `<K>` | `protected static int` | `hash(K key)`
    `` | `public AbstractConcurrentMapBase.Segment` | `segmentFor(int hash)`
    `` | `public int` | `size()`
    `` | `public Collection` | `values()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protected static final int MAXIMUM_CAPACITY

    - #### protected final AbstractConcurrentMapBase.Segment[] segments

  - ### Constructor Detail

    - #### public AbstractConcurrentMapBase(Object segmentInfo)

  - ### Method Detail

    - #### protected abstract AbstractConcurrentMapBase.Segment createSegment(Object segmentInfo, int cap)

    - #### public int fullSize()

    - #### <K> protected static int hash(K key)

    - #### public AbstractConcurrentMapBase.Segment segmentFor(int hash)

    - #### public int size()

    - #### public Collection values()